name: t6
origin: /ALT/t6
source: i586
target: x86_64
flavor: classic
shadow: ~/biarch/t6/

packages: >
    glibc-core
    glibc-pthread
    glibc-nss
    glibc-gconv-modules
    glibc-devel
    glibc-devel-static

    libgcc1
    cpp4.5
    gcc4.5
    libgmp
    libmpfr
    libmpc
    libelf

    libltdl3
    libltdl3-devel
    libltdl7
    libltdl7-devel

    libstdc++6
    libstdc++4.5-devel
    gcc4.5-c++
    libstdc++3.3

    libexpat
    libfreetype
    libICE
    libSM
    libXau
    libXdmcp
    libxcb
    libX11
    libXdamage
    libXext
    libXfixes
    libXp
    libXt
    libXtst
    libXxf86vm
    libalsa
    libcrypto10
    libssl10
    libcrypto7
    libssl7
    libjpeg
    libturbojpeg
    libpng12
    libtiff
    libcups
    libpciaccess
    libdrm
    libdrm-poulsbo
    liblcms
    libdb4.7
    libsasl2
    libldap2.4
    libxml2
    zlib
    libxslt
    libicu
    libcares
    libcurl
    libSDL
    libssh2

    libgcrypt
    libsasl2
    libesd
    libgpg-error
    libattr
    libcap
    libaudiofile
    libcom_err
    libidn
    
    libkrb5
    libkeyutils

    libp11-kit
    libgnutls26
    libtasn1

    libncurses
    libtinfo

    libgpm
    libusb
    libuuid

    libaio
    libaio-devel

    fontconfig
    libGL
    libGLU
    libdrm-poulsbo
    libieee1284
    libnatspec
    libXpm

    libmpg123
    libwine-vanilla
    libexif
    libgphoto2
    libwine-vanilla-twain
    libopenal1
    glib2
    libdbus
    libmng
    libncursesw
    libpcre3
    libqt4-core
    libqt4-dbus
    libqt4-gui
    libqt4-network
    libqt4-xml
    libusb-compat
    libXaw
    libXcursor
    libXft
    libXi
    libXinerama
    libXmu
    libXrandr
    libXrender
    libXScrnSaver
    libXv
    libXvMC


    bzlib
    glib
    gtk+
    libalsa-devel
    libalut
    libatk
    libcairo
    libudev
    libflac8
    libfontenc
    libfreeglut
    libgamin-fam
    libgio
    libglade
    libglew1.5
    libglitz
    libgtk+2
    libgdk-pixbuf
    libgdk-pixbuf-xlib
    libgtkglext
    libjasper
    libmikmod
    libmodplug
    libogg
    libopenal
    libpango
    libpixman
    libSDL_image
    libSDL_mixer
    libSDL_sound
    libSDL_ttf
    libsmpeg
    libspeex
    libvorbis
    libwine-vanilla-gl
    wine-gecko
    libselinux
    libxcbutil
    libXcomposite
    libXfont
    libgst-plugins

    libnss-mdns
    libopenmotif4

    libv4l

    libwrap
    libavahi
    libasyncns
    libsndfile
    libjson
    libpulseaudio
    alsa-plugins-pulse
    libgstreamer
    libgsm

    libffi

    VirtualGL

programs: >
    wine-vanilla
    mozilla-plugin-adobe-flash

hacks:
    gcc4.5:
        after-install: |
            %define gcc64odir /usr/lib64/gcc/x86_64-alt-linux/%version
            mkdir -p %buildroot%gcc64odir
            ln -s ../../../../lib/gcc/i586-alt-linux/%version \
                %buildroot%gcc64odir/32
        after-files: |
            %gcc64odir/32

    libstdc++4.5-devel:
        after-install: |
            %define gxxidir %_includedir/c++/%version/x86_64-alt-linux
            mkdir -p %buildroot%gxxidir
            ln -s ../i586-alt-linux %buildroot%gxxidir/32
        after-files: |
            %gxxidir/32

# vim:set ft=yaml et ts=4 sw=4:
